xgboost

List of all members
xgboost::common::WXQuantileSketch< DType, RType > Class Template Reference

Quantile sketch use WXQSummary. More...

`#include <quantile.h>`

Inheritance diagram for xgboost::common::WXQuantileSketch< DType, RType >:
Collaboration diagram for xgboost::common::WXQuantileSketch< DType, RType >:

## Additional Inherited Members
Public Types inherited from xgboost::common::QuantileSketchTemplate< DType, unsigned, WXQSummary< DType, unsigned > >
using | Summary = WXQSummary< DType, unsigned >
| type of summary type More...
using | Entry = typename Summary::Entry
| the entry type More...
Public Member Functions inherited from xgboost::common::QuantileSketchTemplate< DType, unsigned, WXQSummary< DType, unsigned > >
void | Init (size_t maxn, double eps)
| initialize the quantile sketch, given the performance specification More...
void | Push (DType x, unsigned w=1)
| add an element to a sketch More...
void | PushSummary (const Summary &summary)
void | PushTemp ()
| push up temp More...
void | GetSummary (SummaryContainer *out)
| get the summary after finalize More...
void | CheckValid (unsigned eps) const
void | InitLevel (size_t nlevel)
Static Public Member Functions inherited from xgboost::common::QuantileSketchTemplate< DType, unsigned, WXQSummary< DType, unsigned > >
static void | LimitSizeLevel (size_t maxn, double eps, size_t *out_nlevel, size_t *out_limit_size)
Public Attributes inherited from xgboost::common::QuantileSketchTemplate< DType, unsigned, WXQSummary< DType, unsigned > >
Summary::Queue | inqueue
size_t | nlevel
size_t | limit_size
std::vector< Summary > | level
std::vector< Entry > | data
SummaryContainer | temp
Static Public Attributes inherited from xgboost::common::QuantileSketchTemplate< DType, unsigned, WXQSummary< DType, unsigned > >
static constexpr float | kFactor

## Detailed Description

### template<typename DType, typename RType = unsigned>
class xgboost::common::WXQuantileSketch< DType, RType >

Quantile sketch use WXQSummary.

Template Parameters

  DType | type of data content
  RType | type of rank

The documentation for this class was generated from the following file:

- /home/runner/work/xgboost/xgboost/src/common/quantile.h